Interface WafAtpConfig.Builder
- All Superinterfaces:
Buildable,CopyableBuilder<WafAtpConfig.Builder,,WafAtpConfig> SdkBuilder<WafAtpConfig.Builder,,WafAtpConfig> SdkPojo
- Enclosing class:
WafAtpConfig
-
Method Summary
Modifier and TypeMethodDescriptionThe path of the login endpoint of your application (for example,/login).passwordField(String passwordField) The name of the field in the request body that contains the password (for example,/passwordforJSONorpasswordforFORM_ENCODED).payloadType(String payloadType) The content type of the request body of login requests.payloadType(WafPayloadTypeEnum payloadType) The content type of the request body of login requests.default WafAtpConfig.BuilderresponseInspection(Consumer<WafResponseInspection.Builder> responseInspection) An object that describes the HTTP status codes that your application returns for successful and failed login attempts.responseInspection(WafResponseInspection responseInspection) An object that describes the HTTP status codes that your application returns for successful and failed login attempts.usernameField(String usernameField) The name of the field in the request body that contains the username (for example,/usernameforJSONorusernameforFORM_ENCODED).Methods inherited from interface software.amazon.awssdk.utils.builder.CopyableBuilder
copyMethods inherited from interface software.amazon.awssdk.utils.builder.SdkBuilder
applyMutation, buildMethods inherited from interface software.amazon.awssdk.core.SdkPojo
equalsBySdkFields, sdkFieldNameToField, sdkFields
-
Method Details
-
loginPath
The path of the login endpoint of your application (for example,
/login). Login paths that start with the path that you specify are a match.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
- Parameters:
loginPath- The path of the login endpoint of your application (for example,/login). Login paths that start with the path that you specify are a match.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
-
payloadType
The content type of the request body of login requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
- Parameters:
payloadType- The content type of the request body of login requests.The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
-
payloadType
The content type of the request body of login requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
- Parameters:
payloadType- The content type of the request body of login requests.The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
-
usernameField
The name of the field in the request body that contains the username (for example,
/usernameforJSONorusernameforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
- Parameters:
usernameField- The name of the field in the request body that contains the username (for example,/usernameforJSONorusernameforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
-
passwordField
The name of the field in the request body that contains the password (for example,
/passwordforJSONorpasswordforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
- Parameters:
passwordField- The name of the field in the request body that contains the password (for example,/passwordforJSONorpasswordforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
-
responseInspection
An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
- Parameters:
responseInspection- An object that describes the HTTP status codes that your application returns for successful and failed login attempts.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
responseInspection
default WafAtpConfig.Builder responseInspection(Consumer<WafResponseInspection.Builder> responseInspection) An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
This is a convenience method that creates an instance of theWafResponseInspection.Builderavoiding the need to create one manually viaWafResponseInspection.builder().When the
Consumercompletes,SdkBuilder.build()is called immediately and its result is passed toresponseInspection(WafResponseInspection).- Parameters:
responseInspection- a consumer that will call methods onWafResponseInspection.Builder- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-